Functions
Channel Configuration functions
Peripheral Driver » LL Driver » I2S » Functions

## Functions
__STATIC_INLINE uint32_t | ll_i2s_receive_ldata (i2s_regs_t *I2Sx, uint8_t channel)
| Read one data from left RX FIFO in a channel. More...
__STATIC_INLINE uint32_t | ll_i2s_receive_rdata (i2s_regs_t *I2Sx, uint8_t channel)
| Read one data from right RX FIFO in a channel. More...
__STATIC_INLINE void | ll_i2s_transmit_ldata (i2s_regs_t *I2Sx, uint8_t channel, uint32_t data)
| Write one data to left TX FIFO in a channel. More...
__STATIC_INLINE void | ll_i2s_transmit_rdata (i2s_regs_t *I2Sx, uint8_t channel, uint32_t data)
| Write one data to right TX FIFO in a channel. More...
__STATIC_INLINE void | ll_i2s_enable_rx (i2s_regs_t *I2Sx, uint8_t channel)
| Enable RX in a channel. More...
__STATIC_INLINE void | ll_i2s_disable_rx (i2s_regs_t *I2Sx, uint8_t channel)
| Disable RX in a channel. More...
__STATIC_INLINE uint32_t | ll_i2s_is_enabled_rx (i2s_regs_t *I2Sx, uint8_t channel)
| Check if RX in a channel is enabled. More...
__STATIC_INLINE void | ll_i2s_enable_tx (i2s_regs_t *I2Sx, uint8_t channel)
| Enable TX in a channel. More...
__STATIC_INLINE void | ll_i2s_disable_tx (i2s_regs_t *I2Sx, uint8_t channel)
| Disable TX in a channel. More...
__STATIC_INLINE uint32_t | ll_i2s_is_enabled_tx (i2s_regs_t *I2Sx, uint8_t channel)
| Check if TX in a channel is enabled. More...
__STATIC_INLINE void | ll_i2s_set_rxsize (i2s_regs_t *I2Sx, uint8_t channel, uint32_t size)
| Set receive data width in a channel. More...
__STATIC_INLINE uint32_t | ll_i2s_get_rxsize (i2s_regs_t *I2Sx, uint8_t channel)
| Get receive data width in a channel. More...
__STATIC_INLINE void | ll_i2s_set_txsize (i2s_regs_t *I2Sx, uint8_t channel, uint32_t size)
| Set transmit data width in a channel. More...
__STATIC_INLINE uint32_t | ll_i2s_get_txsize (i2s_regs_t *I2Sx, uint8_t channel)
| Get transmit data width in a channel. More...
__STATIC_INLINE uint32_t | ll_i2s_get_it_flag (i2s_regs_t *I2Sx, uint8_t channel)
| Get interrupt flag in a channel. More...
__STATIC_INLINE uint32_t | ll_i2s_is_active_it_flag (i2s_regs_t *I2Sx, uint8_t channel, uint32_t flag)
| Check interrupt flag in a channel. More...
__STATIC_INLINE void | ll_i2s_enable_it (i2s_regs_t *I2Sx, uint8_t channel, uint32_t mask)
| Enable interrupt in a channel. More...
__STATIC_INLINE void | ll_i2s_disable_it (i2s_regs_t *I2Sx, uint8_t channel, uint32_t mask)
| Disable interrupt in a channel. More...
__STATIC_INLINE uint32_t | ll_i2s_is_enabled_it (i2s_regs_t *I2Sx, uint8_t channel, uint32_t mask)
| Check if interrupt in a channel is enabled. More...
__STATIC_INLINE uint32_t | ll_i2s_clear_it_rxovr (i2s_regs_t *I2Sx, uint8_t channel)
| Clear RX FIFO data overrun interrupt flag in a channel. More...
__STATIC_INLINE uint32_t | ll_i2s_clear_it_txovr (i2s_regs_t *I2Sx, uint8_t channel)
| Clear TX FIFO data overrun interrupt flag in a channel. More...
__STATIC_INLINE void | ll_i2s_set_rx_fifo_threshold (i2s_regs_t *I2Sx, uint8_t channel, uint32_t threshold)
| Set threshold of RXFIFO in a channel that triggers an RXDA event. More...
__STATIC_INLINE uint32_t | ll_i2s_get_rx_fifo_threshold (i2s_regs_t *I2Sx, uint8_t channel)
| Get threshold of RXFIFO in a channel that triggers an RXDA event. More...
__STATIC_INLINE void | ll_i2s_set_tx_fifo_threshold (i2s_regs_t *I2Sx, uint8_t channel, uint32_t threshold)
| Set threshold of TXFIFO in a channel that triggers an TXFE event. More...
__STATIC_INLINE uint32_t | ll_i2s_get_tx_fifo_threshold (i2s_regs_t *I2Sx, uint8_t channel)
| Get threshold of TXFIFO in a channel that triggers an TXFE event. More...
__STATIC_INLINE void | ll_i2s_clr_rxfifo_channel (i2s_regs_t *I2Sx, uint8_t channel)
| Clear RX FIFO data in a channel. More...
__STATIC_INLINE void | ll_i2s_clr_txfifo_channel (i2s_regs_t *I2Sx, uint8_t channel)
| Clear TX FIFO data in a channel. More...

## Detailed Description

## Function Documentation

## ◆ ll_i2s_clear_it_rxovr()

__STATIC_INLINE uint32_t ll_i2s_clear_it_rxovr | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Clear RX FIFO data overrun interrupt flag in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RXOVR | RXCHO | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  State | of bit (1 or 0).

Definition at line 1269 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_clear_it_txovr()

__STATIC_INLINE uint32_t ll_i2s_clear_it_txovr | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Clear TX FIFO data overrun interrupt flag in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TXOVR | TXCHO | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  State | of bit (1 or 0).

Definition at line 1289 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_clr_rxfifo_channel()

__STATIC_INLINE void ll_i2s_clr_rxfifo_channel | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Clear RX FIFO data in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RXFIFO_FLUSH | FLUSH | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  None |

Definition at line 1455 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_clr_txfifo_channel()

__STATIC_INLINE void ll_i2s_clr_txfifo_channel | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Clear TX FIFO data in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TXFIFO_FLUSH | FLUSH | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  None |

Definition at line 1475 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_disable_it()

__STATIC_INLINE void ll_i2s_disable_it | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel,
|  | uint32_t | mask
| ) |  |

Disable interrupt in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTMASK | TXFO | +———————-+———————————–+ \endrst INTMASK | TXFE INTMASK | RXFO INTMASK | RXDA

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3
  mask | This parameter can be one or more of the following values: LL_I2S_INT_TXFO LL_I2S_INT_TXFE LL_I2S_INT_RXFO LL_I2S_INT_RXDA

Return values

  None |

Definition at line 1221 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_disable_rx()

__STATIC_INLINE void ll_i2s_disable_rx | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Disable RX in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RXEN | EN | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  None |

Definition at line 921 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_disable_tx()

__STATIC_INLINE void ll_i2s_disable_tx | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Disable TX in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TXEN | EN | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  None |

Definition at line 981 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_enable_it()

__STATIC_INLINE void ll_i2s_enable_it | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel,
|  | uint32_t | mask
| ) |  |

Enable interrupt in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTMASK | TXFO | +———————-+———————————–+ \endrst INTMASK | TXFE INTMASK | RXFO INTMASK | RXDA

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3
  mask | This parameter can be one or more of the following values: LL_I2S_INT_TXFO LL_I2S_INT_TXFE LL_I2S_INT_RXFO LL_I2S_INT_RXDA

Return values

  None |

Definition at line 1193 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_enable_rx()

__STATIC_INLINE void ll_i2s_enable_rx | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Enable RX in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RXEN | EN | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  None |

Definition at line 901 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_enable_tx()

__STATIC_INLINE void ll_i2s_enable_tx | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Enable TX in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TXEN | EN | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  None |

Definition at line 961 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_it_flag()

__STATIC_INLINE uint32_t ll_i2s_get_it_flag | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Get interrupt flag in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTAT | TXFO | +———————-+———————————–+ \endrst INTSTAT | TXFE INTSTAT | RXFO INTSTAT | RXDA

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  Returned | Value can be one or more of the following values: LL_I2S_STATUS_TXFO LL_I2S_STATUS_TXFE LL_I2S_STATUS_RXFO LL_I2S_STATUS_RXDA

Definition at line 1136 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_rx_fifo_threshold()

__STATIC_INLINE uint32_t ll_i2s_get_rx_fifo_threshold | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Get threshold of RXFIFO in a channel that triggers an RXDA event.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RXFIFO_TL | TL | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  Returned | Value can be one of the following values: LL_I2S_THRESHOLD_1FIFO LL_I2S_THRESHOLD_2FIFO LL_I2S_THRESHOLD_3FIFO LL_I2S_THRESHOLD_4FIFO LL_I2S_THRESHOLD_5FIFO LL_I2S_THRESHOLD_6FIFO LL_I2S_THRESHOLD_7FIFO LL_I2S_THRESHOLD_8FIFO LL_I2S_THRESHOLD_9FIFO LL_I2S_THRESHOLD_10FIFO LL_I2S_THRESHOLD_11FIFO LL_I2S_THRESHOLD_12FIFO LL_I2S_THRESHOLD_13FIFO LL_I2S_THRESHOLD_14FIFO LL_I2S_THRESHOLD_15FIFO LL_I2S_THRESHOLD_16FIFO

Definition at line 1362 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_rxsize()

__STATIC_INLINE uint32_t ll_i2s_get_rxsize | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Get receive data width in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RXSIZE | WLEN | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  Returned | Value can be one of the following values: LL_I2S_DATASIZE_IGNORE LL_I2S_DATASIZE_12BIT LL_I2S_DATASIZE_16BIT LL_I2S_DATASIZE_20BIT LL_I2S_DATASIZE_24BIT LL_I2S_DATASIZE_32BIT

Definition at line 1055 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_tx_fifo_threshold()

__STATIC_INLINE uint32_t ll_i2s_get_tx_fifo_threshold | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Get threshold of TXFIFO in a channel that triggers an TXFE event.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TXFIFO_TL | TL | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  Returned | Value can be one of the following values: LL_I2S_THRESHOLD_1FIFO LL_I2S_THRESHOLD_2FIFO LL_I2S_THRESHOLD_3FIFO LL_I2S_THRESHOLD_4FIFO LL_I2S_THRESHOLD_5FIFO LL_I2S_THRESHOLD_6FIFO LL_I2S_THRESHOLD_7FIFO LL_I2S_THRESHOLD_8FIFO LL_I2S_THRESHOLD_9FIFO LL_I2S_THRESHOLD_10FIFO LL_I2S_THRESHOLD_11FIFO LL_I2S_THRESHOLD_12FIFO LL_I2S_THRESHOLD_13FIFO LL_I2S_THRESHOLD_14FIFO LL_I2S_THRESHOLD_15FIFO LL_I2S_THRESHOLD_16FIFO

Definition at line 1435 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_get_txsize()

__STATIC_INLINE uint32_t ll_i2s_get_txsize | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Get transmit data width in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TXSIZE | WLEN | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  Returned | Value can be one of the following values: LL_I2S_DATASIZE_IGNORE LL_I2S_DATASIZE_12BIT LL_I2S_DATASIZE_16BIT LL_I2S_DATASIZE_20BIT LL_I2S_DATASIZE_24BIT LL_I2S_DATASIZE_32BIT

Definition at line 1109 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_is_active_it_flag()

__STATIC_INLINE uint32_t ll_i2s_is_active_it_flag | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel,
|  | uint32_t | flag
| ) |  |

Check interrupt flag in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTAT | TXFO | +———————-+———————————–+ \endrst INTSTAT | TXFE INTSTAT | RXFO INTSTAT | RXDA

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3
  flag | This parameter can be one or more of the following values: LL_I2S_STATUS_TXFO LL_I2S_STATUS_TXFE LL_I2S_STATUS_RXFO LL_I2S_STATUS_RXDA

Return values

  State | of bit (1 or 0).

Definition at line 1165 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_is_enabled_it()

__STATIC_INLINE uint32_t ll_i2s_is_enabled_it | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel,
|  | uint32_t | mask
| ) |  |

Check if interrupt in a channel is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTMASK | TXFO | +———————-+———————————–+ \endrst INTMASK | TXFE INTMASK | RXFO INTMASK | RXDA

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3
  mask | This parameter can be one or more of the following values: LL_I2S_INT_TXFO LL_I2S_INT_TXFE LL_I2S_INT_RXFO LL_I2S_INT_RXDA

Return values

  State | of bit (1 or 0).

Definition at line 1249 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_is_enabled_rx()

__STATIC_INLINE uint32_t ll_i2s_is_enabled_rx | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Check if RX in a channel is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RXEN | EN | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  State | of bit (1 or 0).

Definition at line 941 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_is_enabled_tx()

__STATIC_INLINE uint32_t ll_i2s_is_enabled_tx | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Check if TX in a channel is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TXEN | EN | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  State | of bit (1 or 0).

Definition at line 1001 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_receive_ldata()

__STATIC_INLINE uint32_t ll_i2s_receive_ldata | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Read one data from left RX FIFO in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATA_L | DATA | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  None |

Definition at line 819 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_receive_rdata()

__STATIC_INLINE uint32_t ll_i2s_receive_rdata | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel
| ) |  |

Read one data from right RX FIFO in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATA_R | DATA | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3

Return values

  None |

Definition at line 839 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_set_rx_fifo_threshold()

__STATIC_INLINE void ll_i2s_set_rx_fifo_threshold | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel,
|  | uint32_t | threshold
| ) |  |

Set threshold of RXFIFO in a channel that triggers an RXDA event.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RXFIFO_TL | TL | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3
  threshold | This parameter can be one of the following values: LL_I2S_THRESHOLD_1FIFO LL_I2S_THRESHOLD_2FIFO LL_I2S_THRESHOLD_3FIFO LL_I2S_THRESHOLD_4FIFO LL_I2S_THRESHOLD_5FIFO LL_I2S_THRESHOLD_6FIFO LL_I2S_THRESHOLD_7FIFO LL_I2S_THRESHOLD_8FIFO LL_I2S_THRESHOLD_9FIFO LL_I2S_THRESHOLD_10FIFO LL_I2S_THRESHOLD_11FIFO LL_I2S_THRESHOLD_12FIFO LL_I2S_THRESHOLD_13FIFO LL_I2S_THRESHOLD_14FIFO LL_I2S_THRESHOLD_15FIFO LL_I2S_THRESHOLD_16FIFO

Return values

  None |

Definition at line 1326 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_set_rxsize()

__STATIC_INLINE void ll_i2s_set_rxsize | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel,
|  | uint32_t | size
| ) |  |

Set receive data width in a channel.

Note
  These bits should not be changed when channel is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RXSIZE | WLEN | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3
  size | This parameter can be one of the following values: LL_I2S_DATASIZE_IGNORE LL_I2S_DATASIZE_12BIT LL_I2S_DATASIZE_16BIT LL_I2S_DATASIZE_20BIT LL_I2S_DATASIZE_24BIT LL_I2S_DATASIZE_32BIT

Return values

  None |

Definition at line 1029 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_set_tx_fifo_threshold()

__STATIC_INLINE void ll_i2s_set_tx_fifo_threshold | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel,
|  | uint32_t | threshold
| ) |  |

Set threshold of TXFIFO in a channel that triggers an TXFE event.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TXFIFO_TL | TL | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3
  threshold | This parameter can be one of the following values: LL_I2S_THRESHOLD_1FIFO LL_I2S_THRESHOLD_2FIFO LL_I2S_THRESHOLD_3FIFO LL_I2S_THRESHOLD_4FIFO LL_I2S_THRESHOLD_5FIFO LL_I2S_THRESHOLD_6FIFO LL_I2S_THRESHOLD_7FIFO LL_I2S_THRESHOLD_8FIFO LL_I2S_THRESHOLD_9FIFO LL_I2S_THRESHOLD_10FIFO LL_I2S_THRESHOLD_11FIFO LL_I2S_THRESHOLD_12FIFO LL_I2S_THRESHOLD_13FIFO LL_I2S_THRESHOLD_14FIFO LL_I2S_THRESHOLD_15FIFO LL_I2S_THRESHOLD_16FIFO

Return values

  None |

Definition at line 1399 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_set_txsize()

__STATIC_INLINE void ll_i2s_set_txsize | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel,
|  | uint32_t | size
| ) |  |

Set transmit data width in a channel.

Note
  These bits should not be changed when channel is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TXSIZE | WLEN | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3
  size | This parameter can be one of the following values: LL_I2S_DATASIZE_IGNORE LL_I2S_DATASIZE_12BIT LL_I2S_DATASIZE_16BIT LL_I2S_DATASIZE_20BIT LL_I2S_DATASIZE_24BIT LL_I2S_DATASIZE_32BIT

Return values

  None |

Definition at line 1083 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_transmit_ldata()

__STATIC_INLINE void ll_i2s_transmit_ldata | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel,
|  | uint32_t | data
| ) |  |

Write one data to left TX FIFO in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATA_L | DATA | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3
  data | The data to send

Return values

  None |

Definition at line 860 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_transmit_rdata()

__STATIC_INLINE void ll_i2s_transmit_rdata | ( | i2s_regs_t * | I2Sx,
|  | uint8_t | channel,
|  | uint32_t | data
| ) |  |

Write one data to right TX FIFO in a channel.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATA_R | DATA | +———————-+———————————–+ \endrst

Parameters

  I2Sx | I2S instance
  channel | The special channel: 0 ~ 3
  data | The data to send

Return values

  None |

Definition at line 881 of file gr55xx_ll_i2s.h.